"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-11.0-arm64-cpython-312/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x103b6a5c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x103b6a660>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103b6a700>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103b6a7a0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x103b6a840>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x103b6a8e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103b6a980>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103b6aa20>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103b6aac0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103b6ab60>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x103b6ac00>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x103b6aca0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x103b6ad40>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x103b6ade0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x103b6ae80>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x103b6af20>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x103b6afc0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b060>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b100>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b1a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b240>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b2e0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b380>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b420>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b4c0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b560>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b600>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b6a0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b740>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b7e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b880>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b920>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x103b6b9c0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x103b6ba60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x103b6bb00>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x103b6bba0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x103b6bc40>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x103b6bce0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103b6bd80>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103b6be20>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103b6bec0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x103b6bf60>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0040>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x103bb00e0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0180>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0220>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x103bb02c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0360>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0400>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x103bb04a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0540>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x103bb05e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0680>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0720>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x103bb07c0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0860>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0900>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103bb09a0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0a40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0ae0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0b80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0c20>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0cc0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0d60>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0e00>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0ea0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0f40>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x103bb0fe0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x103bb1080>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103bb1120>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x103bb11c0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x103bb1260>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103bb1300>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x103bb13a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x103bb1440>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x103bb14e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x103bb1580>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x103bb1620>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x103bb16c0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x103bb1760>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x103bb18a0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x103bb1800>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x103bb1940>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x103bb19e0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x103bb1a80>)]
name: str = 'fr_HOCCN'
